
/**
 * Beschreibt einen Knoten
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Knoten
{
    /** Der Bezeichner des Knotens */
    private String bezeichner;
    /** Das Darstellungssymbol des Knotens */
    private KnotenSymbol symbol;
    /** Die Länge des bisherigen Wegs in Kantenschritten */
    private int länge;
    /** Die Nummer des Vorgängerknotens oder -1 */
    private int vorgänger;
    
    /**
     * Besetzt die Attribute und legt das Knotensymbol an.
     * @param bezeichner Bezeichner
     * @param x x-Koordinate
     * @param y y-Koordinate
     */
    Knoten (String bezeichner, int x, int y)
    {
        this.bezeichner = bezeichner;
        länge = 0;
        vorgänger = -1;
        symbol = new KnotenSymbol(x, y, 20, "weiß", bezeichner);
    }
    
    /**
     * Meldet den Bezeichner des Knotens zurück.
     * @return Bezeichner
     */
    String BezeichnerGeben()
    {
        return bezeichner;
    }
    
    /**
     * Meldet das Symbol des Knotens zurück.
     * @return Bezeichner
     */
    KnotenSymbol SymbolGeben()
    {
        return symbol;
    }
    
    /**
     * Setzt die Farbe der Darstellung
     * @param f die (neue) Farbe
     */
    void FarbeSetzen(String f)
    {
        symbol.FarbeSetzen(f);
    }
    
    /**
     * Setzt die Weglänge
     * @param l die (neue) Länge
     */
    void LängeSetzen(int l)
    {
        länge = l;
    }
    
    /**
     * Meldet die Weglänge zurück.
     * @return Weglänge
     */
    int LängeGeben()
    {
        return länge;
    }
    
    /**
     * Setzt den Vorgänger
     * @param v der Vorgänger
     */
    void VorgängerSetzen(int v)
    {
        vorgänger = v;
    }
    
    /**
     * Meldet en Vorgänger zurück.
     * @return Vorgänger
     */
    int VorgängerGeben()
    {
        return vorgänger;
    }
}
