
/**
 * Beispiele für diverse Graphen
 * 
 * @author Albert Wiedemann
 * @version 1.0
 */
class Beispiele
{
    /** Der Graph */
    private GraphMatrix g;
    /** Das Leseobjekt */
    private Lesen l;
    
    /**
     * Legt das Graphenobjekt an.
     */
    Beispiele ()
    {
        g = new GraphMatrix();
        l = new Lesen();
    }

    /**
     * Legt den Graphen für die Flussüberquerung der Studenten an.
     * Am Ende Ausgabe der Adjazenzmatrix zur Kontrolle
     */
    void AusführenSteg()
    {
        g.ZurückSetzen();
        if (l.LesenDatenbank("GraphSteg.grdb", g))
        {
            g.Ausgeben();
        }
    }
    
    /**
     * Führt den Dijkstra-Algorithmus für die Flussüberquerung durch
     */
    void DijkstraAusführen ()
    {
        if (g != null)
        {
            g.DijkstraAusführen(g.KnotenNummerGeben("-|SOJH"), g.KnotenNummerGeben("SOJH|-"));
        }
    }
}
